Subject: [Megaco] When do I stop ringing?

From: "kumar" <[email-masked]>
Date: 19 May 2004 06:20:27 -0000

Hi All,
   We are trying the following scenerio.
    Termination ID of A is term/1 and B is term/2.
  1. A calls B. B is ringing and A is getting Ringback tone.
  2. A goes on-hook while B is ringing.
      A sends on-hook notification to MGC.
  MEGACO/1 [192.168.1.1]
 Transaction = 154 { Context = 14 { Notify = term/1 { ObservedEvents = 756 {  al/on { init = True }  }  }  }  } 
   
   We got the following request from MGC. 
!/1 [192.168.1.2]
P=154{C=14{N=term/1}}
T=441{C=14{S=*},C=-{MF=term/1{E=757{al/of{EM{SG{cg/dt},E=758{dd/ce{DigitMap=G_DGT_MAP},al/on{strict=exact}}},strict=exact}}}}}
K{440}

!/1 [192.168.1.2]
T=442{C=15{S=*},C=-{MF=term/2{E=759{al/of{EM{SG{cg/dt},E=760{dd/ce{DigitMap=G_DGT_MAP},al/on{strict=exact}}},strict=exact}}}}}

  Here term/2 is ringing and we got subtract request with embedded signal descriptor. As of I understand , the signal descriptor is activated only off-hook event occurs(From above request). The ring tone on term/2 will be stopped only event occurs or new signal descriptor is activated(As per rfc). So when should I stop ring tone on term/2.
 Can anyone clarify this please.

Thanks & Regards,
Kumar